//
// THIS FILE IS COPYRIGHT 1994, 1995 BY TELENOR RESEARCH, NORWAY
//
//                        ALL RIGHTS RESERVED.
//
// For rights granted to the public see the COPYRIGHT file
//
//
// english.cc	The English language file
//
// Author:  Ken Ronny Schouten
//
// Changes: January 1995 Brd Hfjeld
//				Added new messages
//

// Every message in english to the user is stored in this file.

// General statements used in different programs
const char *OpenFile = "Error=Cannot open file %s\n";
const char *AllocMemory = "Error=Could not allocate memory.\n";
const char *ReadFile = "Error=Could not read from file %s.\n";
const char *InternalError = "Error=Internal error: %s\n";
const char *BadIndex = "Error=Index %s is defect.\n";
const char *UnknownError = "Error=Unknown error %d from %s\n";

// Statements for the ffwindex program
const char *UsageIndex = "Usage: %s [-] [-f] [-i paramfile] [-w filterfile]\n"
"[-n] [-c] [-l number] [-u number] indexname [URLprefix] [html documents...]\n";
const char *IndexNameMessage = "Indexname is: %s\n";
const char *UrlRootMessage = "URL-root is: %s\n";
const char *GoingToMessage = "Going to parse: %s\n";
const char *UnknownEscape = "Unknown escape code '%s' found. Ignored.\n";

// Statements for the ffwdateindex program
const char *UsageDIndex = "Usage: %s indexname\n";
const char *DateIndexFailed = "Building of date index failed\n";

// Statements for the ffwstat program
char *UsageStat = "Usage: %s -i indexname [-d] [-w] [-f limit]\n";
char *BlocksMessage = "There are %d blocks in the index.\n";
char *NoOutputOptions = "You must specify -d, -w or -f.\n";

// Statements for the ffwmerge program
char *UsageMerge = "Usage: %s newindex index1 index2\n";

// Statements for the ffwsearch program
char *SearchHelp = "Usage: %s [-h] [-d] [-a after] [-b before] [-o out_limit] [-w work_limit] -i index_file1 search-term\n";
const unsigned char *Not = (unsigned char *)"not";
const unsigned char *And = (unsigned char *)"and";
const unsigned char *Or = (unsigned char *)"or";
const char *NotNotReduced = "Error=It was impossible to evaluate a 'not' term, please rewrite your search\n";
const char *MissingRightParantes =  "Error=Missing right parentes at offset %d in \"%s\"\n";
const char *UnexpectedSymbol = "Error=Unexpected symbol at offset %d in \"%s\"\n";
const char *ParseError = "Error=Syntax error at offset %d in \"%s\"\n";
const char *NoSearchTerm = "Error=No search term specified\n";
const char *NoIndexFiles = "Error=No index files specified\n";
const char *BadAfterDate = "Error=Illegal value in date after\n";
const char *BadBeforeDate = "Error=Illegal value in date before\n";
const char *BadTruncation = "Error=Illegal search word truncation in %s. * must be last character in word\n";
const char *AsteriskFirst = "Error=* is first char in %s. This is not permitted.\n";
const char *InternalExceeded = "Error=Too many documents in internal table. Limit is %d\n";
const char *OutputExceeded = "Info=Output was truncated at %d of %d documents.\n";
